restinio::null_timer_manager_t Struct Referencefinal

Timer factory implementation using asio timers. More...

`#include <null_timer_manager.hpp>`

## Classes

struct | factory_t
struct | timer_guard_t
| Timer guard for async operations. More...

## Public Member Functions

constexpr timer_guard_t | create_timer_guard () const noexcept
constexpr void | start () const noexcept
| Start/stop timer manager. More...
constexpr void | stop () const noexcept

## Detailed Description

Timer factory implementation using asio timers.

Definition at line 25 of file null_timer_manager.hpp.

## Member Function Documentation

## create_timer_guard()

constexpr timer_guard_t restinio::null_timer_manager_t::create_timer_guard | ( |  | ) | const

inlineconstexprnoexcept

Definition at line 40 of file null_timer_manager.hpp.

## start()

constexpr void restinio::null_timer_manager_t::start | ( |  | ) | const

inlineconstexprnoexcept

Start/stop timer manager.

Definition at line 44 of file null_timer_manager.hpp.

## stop()

constexpr void restinio::null_timer_manager_t::stop | ( |  | ) | const

inlineconstexprnoexcept

Definition at line 45 of file null_timer_manager.hpp.

The documentation for this struct was generated from the following file:

- restinio/null_timer_manager.hpp